/* Gutenberg Dragspel */
.wp-block-accordion-item {
    padding:.5rem 0;
    border-top:1px solid #666;
}
.wp-block-accordion-heading {
    margin:0;
}
.wp-block-accordion-item:last-child {
    border-bottom:1px solid #666!important;
}
.wp-block-accordion-heading__toggle-icon {
    width: 2em;
}

/* Gutenberg Sidlista */
ul.wp-block-page-list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap:1rem;
    width: 100%;
    margin: 0;
    padding: 0;
}
li.wp-block-pages-list__item a {
    text-decoration: none;
    display: flex;
    font-weight: 400;
    font-size: var(--font-size-sm);
    padding: .3rem .5rem;
    margin:0 0;
    border:1px solid #dedede;
    border-radius: .5rem;
    transition: background-color 0.3s ease;
}
li.wp-block-pages-list__item a:hover {
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    color:var(--color-background);
}
li.wp-block-pages-list__item.current-menu-item a {
    color: var(--color-text);
    pointer-events: none;
}

/* Gutenberg Buttons */
.wp-block-button__link.has-background {
    border-radius: var(--btn-radius)!important;
    transition: background-color 0.3s ease;
}
.wp-block-button__link:hover {
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    color:var(--color-background);
    transition: background-color 0.3s ease;
}

/* Post password form */
form.post-password-form {
    max-width: var(--content-size);
    margin: 2rem auto;
}

/* Gutenberg Lists */
ul.wp-block-list {
    list-style: none;
    padding: 0 0 0 .8rem;
    margin: 0;
}
ul.wp-block-list li {
    position: relative;
    padding-left: 2em;
    margin-bottom: .5rem;
}
ul.wp-block-list li::before {
    content: '';
    position: absolute;
    top:7px;
    left: 0;
    width: 1em;
    height: 1em;
    background-color: var(--color-primary);
    mask-image: url('data:image/svg+xml;utf8,<svg id="Lager_1" xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 16 17"><path class="st0" d="M2.7,7.6v1.3h8l-3.7,3.7.9.9,5.3-5.3L7.9,3l-.9.9,3.7,3.7H2.7Z"/></svg>');
    mask-repeat: no-repeat;
    mask-size: contain;
    -webkit-mask-image: url('data:image/svg+xml;utf8,<svg id="Lager_1" xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 16 17"><path class="st0" d="M2.7,7.6v1.3h8l-3.7,3.7.9.9,5.3-5.3L7.9,3l-.9.9,3.7,3.7H2.7Z"/></svg>');
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
}